#!/bin/sh
# Searching for java in your system.
DIRNAME=`dirname $0`
cd ..

if test -d $DIRNAME/jre
then
    JAVA_HOME=$DIRNAME/jre
    export JAVA_HOME
fi

if [ "x$JAVA" = "x" ]; then
    if [ "x$JAVA_HOME" != "x" ]; then
        JAVA="$JAVA_HOME/bin/java"
    else
        JAVA=`which java`
    fi
fi

cd lib

	if [ -f AdventNetUpdateManagerInstaller.jar_new ]; 
	then
		cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
		rm -r AdventNetUpdateManagerInstaller.jar_new
	else
		echo ""		
	fi

cd ..	

LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

CLASSPATH=./lib/AdventNetUpdateManagerInstaller.jar
export CLASSPATH

JAVA_OPTS="-Ddb.home=$DIRNAME/mysql"


##########  Server Startup Check ###########

msg="EventLog Analyzer is running. Please ensure that EventLog Analyzer Server is shutdown before applying the Service Pack."
CHERRY_HOME=./conf/server.xml
UTIL_CLASSPATH=./lib/LAClientUtil.jar:./lib/HTTPClient.jar

export JAVA_HOME
export CHERRY_HOME
export UTIL_CLASSPATH

$JAVA -DContext=event -Dserver.home=$DIRNAME -cp $UTIL_CLASSPATH com.adventnet.la.util.LAClientUtil $CHERRY_HOME 1

	if [ $? -ne 254 ]
	then
		echo $msg
		exit 1
	else
		echo "EventLog Analyzer is not running. Continue to apply the service pack."
	fi



##########  Execute Update Manager ###########

$JAVA -Xmx100m  $JAVA_OPTS -Dtier-type=BE -Djava.library.path=./lib/native -Dtier-id=BE1 -cp $CLASSPATH com.adventnet.tools.update.installer.UpdateManager -u conf $*

cd bin

